// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: capbankmodule/capbankmodule.proto

package openfmb.capbankmodule;

public interface CapBankEventAndStatusYPSHOrBuilder extends
    // @@protoc_insertion_point(interface_extends:capbankmodule.CapBankEventAndStatusYPSH)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the logicalNodeForEventAndStatus field is set.
   */
  boolean hasLogicalNodeForEventAndStatus();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
   * @return The logicalNodeForEventAndStatus.
   */
  openfmb.commonmodule.LogicalNodeForEventAndStatus getLogicalNodeForEventAndStatus();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.LogicalNodeForEventAndStatusOrBuilder getLogicalNodeForEventAndStatusOrBuilder();

  /**
   * <pre>
   * True if current limit (high, low, or both) are set
   * </pre>
   *
   * <code>.commonmodule.PhaseSPS AmpLmt = 2;</code>
   * @return Whether the ampLmt field is set.
   */
  boolean hasAmpLmt();
  /**
   * <pre>
   * True if current limit (high, low, or both) are set
   * </pre>
   *
   * <code>.commonmodule.PhaseSPS AmpLmt = 2;</code>
   * @return The ampLmt.
   */
  openfmb.commonmodule.PhaseSPS getAmpLmt();
  /**
   * <pre>
   * True if current limit (high, low, or both) are set
   * </pre>
   *
   * <code>.commonmodule.PhaseSPS AmpLmt = 2;</code>
   */
  openfmb.commonmodule.PhaseSPSOrBuilder getAmpLmtOrBuilder();

  /**
   * <pre>
   * Control mode
   * </pre>
   *
   * <code>.commonmodule.Optional_ControlModeKind CtlMode = 3;</code>
   * @return Whether the ctlMode field is set.
   */
  boolean hasCtlMode();
  /**
   * <pre>
   * Control mode
   * </pre>
   *
   * <code>.commonmodule.Optional_ControlModeKind CtlMode = 3;</code>
   * @return The ctlMode.
   */
  openfmb.commonmodule.Optional_ControlModeKind getCtlMode();
  /**
   * <pre>
   * Control mode
   * </pre>
   *
   * <code>.commonmodule.Optional_ControlModeKind CtlMode = 3;</code>
   */
  openfmb.commonmodule.Optional_ControlModeKindOrBuilder getCtlModeOrBuilder();

  /**
   * <pre>
   * True if power flow is reversed
   * </pre>
   *
   * <code>.commonmodule.PhaseSPS DirRev = 4;</code>
   * @return Whether the dirRev field is set.
   */
  boolean hasDirRev();
  /**
   * <pre>
   * True if power flow is reversed
   * </pre>
   *
   * <code>.commonmodule.PhaseSPS DirRev = 4;</code>
   * @return The dirRev.
   */
  openfmb.commonmodule.PhaseSPS getDirRev();
  /**
   * <pre>
   * True if power flow is reversed
   * </pre>
   *
   * <code>.commonmodule.PhaseSPS DirRev = 4;</code>
   */
  openfmb.commonmodule.PhaseSPSOrBuilder getDirRevOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ENS_DynamicTestKind DynamicTest = 5;</code>
   * @return Whether the dynamicTest field is set.
   */
  boolean hasDynamicTest();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ENS_DynamicTestKind DynamicTest = 5;</code>
   * @return The dynamicTest.
   */
  openfmb.commonmodule.ENS_DynamicTestKind getDynamicTest();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ENS_DynamicTestKind DynamicTest = 5;</code>
   */
  openfmb.commonmodule.ENS_DynamicTestKindOrBuilder getDynamicTestOrBuilder();

  /**
   * <pre>
   * (controllable) Position of the switch of power shunt.
   * </pre>
   *
   * <code>.commonmodule.PhaseDPS Pos = 6;</code>
   * @return Whether the pos field is set.
   */
  boolean hasPos();
  /**
   * <pre>
   * (controllable) Position of the switch of power shunt.
   * </pre>
   *
   * <code>.commonmodule.PhaseDPS Pos = 6;</code>
   * @return The pos.
   */
  openfmb.commonmodule.PhaseDPS getPos();
  /**
   * <pre>
   * (controllable) Position of the switch of power shunt.
   * </pre>
   *
   * <code>.commonmodule.PhaseDPS Pos = 6;</code>
   */
  openfmb.commonmodule.PhaseDPSOrBuilder getPosOrBuilder();

  /**
   * <pre>
   * True if temperature limit (high, low, or both) are set
   * </pre>
   *
   * <code>.commonmodule.PhaseSPS TempLmt = 7;</code>
   * @return Whether the tempLmt field is set.
   */
  boolean hasTempLmt();
  /**
   * <pre>
   * True if temperature limit (high, low, or both) are set
   * </pre>
   *
   * <code>.commonmodule.PhaseSPS TempLmt = 7;</code>
   * @return The tempLmt.
   */
  openfmb.commonmodule.PhaseSPS getTempLmt();
  /**
   * <pre>
   * True if temperature limit (high, low, or both) are set
   * </pre>
   *
   * <code>.commonmodule.PhaseSPS TempLmt = 7;</code>
   */
  openfmb.commonmodule.PhaseSPSOrBuilder getTempLmtOrBuilder();

  /**
   * <pre>
   * True if VAr limit (high, low, or both) are set
   * </pre>
   *
   * <code>.commonmodule.PhaseSPS VArLmt = 8;</code>
   * @return Whether the vArLmt field is set.
   */
  boolean hasVArLmt();
  /**
   * <pre>
   * True if VAr limit (high, low, or both) are set
   * </pre>
   *
   * <code>.commonmodule.PhaseSPS VArLmt = 8;</code>
   * @return The vArLmt.
   */
  openfmb.commonmodule.PhaseSPS getVArLmt();
  /**
   * <pre>
   * True if VAr limit (high, low, or both) are set
   * </pre>
   *
   * <code>.commonmodule.PhaseSPS VArLmt = 8;</code>
   */
  openfmb.commonmodule.PhaseSPSOrBuilder getVArLmtOrBuilder();

  /**
   * <pre>
   * True if voltage limit (high, low, or both) are set
   * </pre>
   *
   * <code>.commonmodule.PhaseSPS VolLmt = 9;</code>
   * @return Whether the volLmt field is set.
   */
  boolean hasVolLmt();
  /**
   * <pre>
   * True if voltage limit (high, low, or both) are set
   * </pre>
   *
   * <code>.commonmodule.PhaseSPS VolLmt = 9;</code>
   * @return The volLmt.
   */
  openfmb.commonmodule.PhaseSPS getVolLmt();
  /**
   * <pre>
   * True if voltage limit (high, low, or both) are set
   * </pre>
   *
   * <code>.commonmodule.PhaseSPS VolLmt = 9;</code>
   */
  openfmb.commonmodule.PhaseSPSOrBuilder getVolLmtOrBuilder();
}
